<?php

try {
	
	$database = (string) $parameters->sql->db;
	$host = (string) $parameters->sql->host;
	$user = (string) $parameters->sql->user;
	$pass = (string) $parameters->sql->pw;	
	$charset = 'utf8';
    
	$dsn = "mysql:host=$host;dbname=$database;charset=$charset";
	$db = new PDO($dsn, $user, $pass);
	
	$db -> setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$db -> setAttribute(PDO::ATTR_EMULATE_PREPARES, false);	
	$db -> setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, true);	
	
}

catch(PDOException $e) {
	
	$response["error"] = $e -> getMessage();
	echo json_encode($response);
	exit;
}


?>