(function($) {	
	
	flag = false
		
	$.jgames = function(options) {
	}
	
	$.jgames.write = function(options, once = true) {
		
		var function_name = '$.jgames.write'
		
		console.log('WRITE FIRED ... flag: ' + flag)		

		if(!flag) {
			
			if(once == true)  flag = true 
			
			var response_promise = $.ajax({
				method: "POST",
				url: "plugin/php/jgames.write.php",
				dataType: "json",
				data: { options },
   				error: function(XMLHttpRequest, textStatus, errorThrown) {	error(function_name, 'error', errorThrown) 	},
				success: function(data)	{
        	
				    if(data.error)	error(function_name, 'error', data.error)	
                    else if(data.warning)	error(function_name, 'warning', data.warning)	
						
				}	
			})
        	
	    		return response_promise
		}
		
	}
	
	$.jgames.read = function(options) {
		
		var function_name = '$.jgames.read'
		
		var response_promise = $.ajax({
			method: "POST",
			url: "plugin/php/jgames.read.php",
			dataType: "json",
			data: { options },
   			error: function(XMLHttpRequest, textStatus, errorThrown) {	error(function_name, 'error', errorThrown) 	},
			success: function(data)	{

				if(data.error)	error(function_name, 'error', data.error)	
				else if(data.warning)	error(function_name, 'warning', data.warning)	
					
			}	
		})

	    return response_promise
		
	}
	
	$.jgames.init = function(options, once = false) {
		
		var function_name = '$.jgames.init'
				
		if(!flag) {
			
			if(once == true)  flag = true 
		
			var response_promise = $.ajax({
				method: "POST",
				url: "plugin/php/jgames.init.php",
				dataType: "json",
				data: { options },
   				error: function(XMLHttpRequest, textStatus, errorThrown) {	error(function_name, 'error', errorThrown) 	},
				success: function(data)	{
        	
					if(data.error)	error(function_name, 'error', data.error)	
                    else if(data.warning)	error(function_name, 'warning', data.warning)	
						
				}	
			})
        	
	    	return response_promise
			
		}		
	}
	
	$.jgames.parameters = function(options) {
		
		var function_name = '$.jgames.parameters'
				
		var response_promise = $.ajax({
			method: "POST",
			url: "plugin/php/jgames.parameters.php",
			dataType: "json",
			data: options,
   			error: function(XMLHttpRequest, textStatus, errorThrown) {	error(function_name, 'error', errorThrown) 	},
			success: function(data)	{

				if(data.error)	error(function_name, 'error', data.error)	
                else if(data.warning)	error(function_name, 'warning', data.warning)	
					
			}	
		})

	    return response_promise
		
	}
	
	$.jgames.wait = function(options) {
		
		var function_name = '$.jgames.wait'
		
		if(typeof options['wait_interval'] === 'undefined') {
			
			options['wait_interval'] = 4000
		}
		
		
		var def = $.Deferred()
		
		var loop = setInterval(function() {
		
			var response_promise = $.ajax({
				method: "POST",
				url: "plugin/php/jgames.wait.php",
				dataType: "json",
				data: options,
   				error: function(XMLHttpRequest, textStatus, errorThrown) {	error(function_name, 'error', errorThrown) 	},
				success: function(data)	{
        	
					if(data.error)	error(function_name, 'error', data.error)	
                    else if(data.warning)	error(function_name, 'warning', data.warning)	
					
					if(data.wait == false) {
							
						console.log("notice: waiting finished")   						
						if(typeof options['redirect'] !== 'undefined') 	$.jgames.redirect({ destination: options['redirect']})
							
						clearInterval(loop)
						def.resolve()
					}
					else if(data.wait == true) {
						
						console.log(data.waitingfor)
						console.log("notice: waiting ...")
					}
				}
			})
		
		}, options['wait_interval'])
		
		return def.promise()
		
	}

	$.jgames.redirect = function(options) {
				
		var function_name = '$.jgames.redirect'
				
	    	console.log('notice: redirecting');
		window.location.replace(options['destination'] + '?ID=' + ID); 
		
		flag = true
		console.log(flag)
	}
	
	$.jgames.hideshow = function(options) {
		
		var function_name = '$.jgames.hideshow'
		
		if(typeof options['show'] != "object") 	options['show'] = [options['show']]
		if(typeof options['hide'] != "object") 	options['hide'] = [options['hide']]
				
		for (var i = 0; i < options['show'].length; i++) {
						
			if(options['fade'] == true) 	$('[name="' + options['show'][i] + '"]').fadeIn(options['fading_speed'])
			else 	$('[name="' + options['show'][i] + '"]').show()
		}
				
		for (var i = 0; i < options['hide'].length; i++) {
			
			if(options['fade'] == true) 	$('[name="' + options['hide'][i] + '"]').fadeOut(options['fading_speed'])
			else 	$('[name="' + options['hide'][i] + '"]').hide()
		}
		
		return self
	}	
	
	$.jgames.timerstart = function(options) {
		
		start_timer = new Date().getTime()
		return start_timer
	}
	
	$.jgames.timerstop = function(options) {
		
		var elapsed_timer = Math.round((new Date().getTime() - start_timer)/10)/100
		start_timer = 0.0
		console.log(elapsed_timer)
		
		return elapsed_timer
	}
	
	$.jgames.timerget = function(options) {
		
		var elapsed_timer = Math.round((new Date().getTime() - start_timer)/10)/100
		console.log(elapsed_timer)
		
		return elapsed_timer
	}
	
	
	$.jgames.inputcheck = function(valids) {
		
		if(typeof valids === 'undefined') {	valids = {} 	}
		values = { error: false }
		
		$('*').filter(':input').not(':button,:hidden').each(function() {
			
			val = $(this).val()
			if($(this).is(':radio')) {
				val = $('[name=' + $(this).attr('name') + ']' + ':checked').val() 	
				if(val === undefined) {	val = '' }
			}
			
			error = false			
			if(typeof valids[$(this).attr('name')] !== 'undefined') {
				
				valid = valids[$(this).attr('name')]
				
				if(valid.type == 'numeric') {		
					if(val == '') 	val = NaN
					else 		val = Number(val) 	
				}
				else if(valid.type == 'string') {	val = String(val) 	}
				
		
				if(valid.type == 'string') {
					
					if(valid.min !== undefined && valid.max !== undefined) {
					
						if(val.length < valid.min || val.length > valid.max) { 	error = true; values.error = true 	}
					} 
					else if(valid.correct !== undefined) {
						
						allowed = valid.correct.split(',')
						if(jQuery.inArray(val, allowed) === -1) {  error = true; values.error = true   }						
					}
					
				}
				else if(valid.type == 'numeric') {

					if(valid.min !== undefined && valid.max !== undefined && valid.steps !== undefined) {
						if(val < valid.min || val > valid.max || (val/valid.steps).toFixed(2) % 1 !== 0) { 	error = true; values.error = true 	  }
					}
					else if(valid.correct !== undefined) {

						allowed = valid.correct.split(',')
						if(jQuery.inArray(String(val), allowed) === -1) {  error = true; values.error = true   }
					}
				}			
			}
			
			values[$(this).attr('name')] = { val:val, error:error } 				
		})	
		
		return(values)
	}
	
	$.fn.input = function(elements) { 
		
		container = $(this).attr('name')
	
		for (var key in elements) {
					
			if(elements[key].label !== undefined) {
				$('[name=' + container + ']').html($('[name=' + container + ']').html().replace(key + 'label', elements[key].label))
			}
						
			if(elements[key].options !== undefined) {
				
				options = elements[key].options.split(',')
				
				for (var i=0; i <= options.length; i++) {					
					$('[name=' + container + ']').html($('[name=' + container + ']').html().replace(key + 'options', options[i]))					
				}
				
				$('input[name=' + key + ']').each(function(i) {
					$(this).val(options[i])
				})
				
				$('[name=' + key + '] option').each(function(i) {
				   	$(this).attr("value", options[i]).text(options[i])
				})
			}		
		}
	}

	$.jgames.robot = function(valids, min=1000, max=3500) {
		
		if(typeof valids === 'undefined') {	valids = {} 	}
				
		$('*').filter(':input').not(':button,:hidden').each(function() {
			
			valid = valids[$(this).attr('name')]
			response = ''
			
			if(valid !== undefined) {
				
				if(valid.type == 'numeric') {
				
					if(valid.min !== undefined && valid.max !== undefined && valid.steps !== undefined) {
						
						possibilities = []					
						
						start = Number(valid.min)
						end = Number(valid.max)
						steps = Number(valid.steps)
						
						for (var i = start; Number(i) <= end; i+=steps) {
							possibilities.push(Number(i.toFixed(4)))
						}
						possibilities.push(end)						
						response = possibilities[Math.floor(Math.random()*possibilities.length)]					
					}
					else if(valid.correct !== undefined) {
						
						possibilities = valid.correct.split(',')
						response = possibilities[Math.floor(Math.random()*possibilities.length)]
						
					}
					else {	response = Math.round(Math.random()*100)	}
					
					if($(this).is(':radio')) 	$('[name=' + $(this).attr('name') + '][value=' + response + ']').prop("checked",true)
					else   				$(this).val(response) 
					
				}
				if(valid.type == 'string') {
				
					if(valid.correct !== undefined) {
						
						possibilities = valid.correct.split(',')
						response = possibilities[Math.floor(Math.random()*possibilities.length)]
					}
					else {
						var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789"
						
						if(valid.min !== undefined && valid.max !== undefined) {
							start = valid.min; end = valid.max
						}
						else {
							start = 0; end = 5
						}
								
						for (var i = start; i <= end; i++) 	response += possible.charAt(Math.floor(Math.random() * possible.length))
					}
					
					if($(this).is(':radio')) 	$('[name=' + $(this).attr('name') + '][value="' + response + '"]').prop("checked",true)
					else   				$(this).val(response) 	 
				}
			}
			else {
				$(this).val(response)
			}			
		})	
		
		setInterval(function(){
			if($('[name=wait_div]').is(":visible") == false && $('[name=button_div]').is(":visible") == true)	$('[name=button_next]').trigger('click')
		}, Math.floor(Math.random() * (max - min + 1)) + min)
	}
	
	
	$.fn.replace = function(options) {
		
		if(options.all == true) { var regex = new RegExp(options['pattern'], 'g') }
		
		$(this).html(function() {
			
			if(options.all == true) 	return $(this).html().replace(regex, options['replace'])
			else  				return $(this).html().replace(options['pattern'], options['replace'])
		})
	}
		
	$.jgames.randomDraws = function(array, count) {
				
		array = $.map(array, function(value, index) {
		    return [value]
		})
		array = array.filter(function(n) { return n != undefined } )
		
		
		var tmp = array.slice(array)
		var ret = []
  
		for(var i = 0; i < count; i++) {
			
			var index = Math.floor(Math.random() * tmp.length)
			var removed = tmp.splice(index, 1)
			ret.push(removed[0])
	  	}
		
		return ret
	}
	
	$.jgames.round = function(number, decimals) {
		
		value = parseFloat(number).toFixed(decimals)
		return parseFloat(value)
	}
	
	$.jgames.randomInteger = function(min, max) {
		
		return Math.floor(Math.random() * (parseInt(max) - parseInt(min) + 1)) + parseInt(min)
	}
	
	$.jgames.shuffle = function(a) {
		
	    var j, x, i;
	    for (i = a.length; i; i--) {
	        j = Math.floor(Math.random() * i);
	        x = a[i - 1];
	        a[i - 1] = a[j];
	        a[j] = x;
	    }
	    
	    return a
	}
	
	
	function getID() {
		
		var query = window.location.search.substring(1) 
		var pair = query.split("=")

	    return pair[1]
	}
	
	function error(source, type, message) {
		
		console.log(source)
		
		if(typeof message == 'object') {
			for (var i = 0; i < message.length; i++) {
		 	   console.log(type + ": " + message[i])
			}
		}
		else {	
			console.log(type + ": " + message)
		}
		
		console.log('\n')
	}
	
	
	$(document).ready(function() {
		
		window.ID = getID()	
		position = location.pathname.substr(location.pathname.lastIndexOf("/")+1).replace(".html", "")
		
		// block keys, right click and delete as back button
		blockedkeys = [17,18,112,91,92,116]
		$('html').bind('keydown', function(e) {
		
			for (i = 0; i < blockedkeys.length; i++) { 
				key = blockedkeys[i]
				if(e.which == key) 	event.preventDefault()
			}
		
			if(event.ctrlKey && event.keyCode == 82) { 
				event.preventDefault(); 
			}
		})		
		
		$("html").on('contextmenu',function() {
		   return false
		})
		
		// Prevent the backspace key from navigating back.
		$(document).unbind('keydown').bind('keydown', function (event) {
		
		    var doPrevent = false
		    if (event.keyCode === 8) {
			
		        var d = event.srcElement || event.target
			
		        if ((d.tagName.toUpperCase() === 'INPUT' && 
		             (
		                 d.type.toUpperCase() === 'TEXT' ||
		                 d.type.toUpperCase() === 'PASSWORD' || 
		                 d.type.toUpperCase() === 'FILE' || 
		                 d.type.toUpperCase() === 'SEARCH' || 
		                 d.type.toUpperCase() === 'EMAIL' || 
		                 d.type.toUpperCase() === 'NUMBER' || 
		                 d.type.toUpperCase() === 'DATE' )
		             ) || 
		             d.tagName.toUpperCase() === 'TEXTAREA') {
		            doPrevent = d.readOnly || d.disabled
		        }
		        else {
		            doPrevent = true
		        }
		    }
		
		    if (doPrevent) {
		        event.preventDefault()
		    }
		})
				
		$(":button").hover(
			function() {
			$(this).addClass('button-active')               
			},
			function() {
			$(this).removeClass('button-active')
		})
		
		$(":button").click(function() {
			
			var processing = $('<div id="processing" style="background-color: white; background-color: rgba(1, 1, 1, 0); bottom: 0; left: 0; position: fixed; right: 0; top: 0;"></div>');
			processing.html('<div style="width: 150px; height: 35px; padding: 5px; text-align: center; margin-top: 25%; margin-left:auto; margin-right:auto; position: relative; top:-15.5px"><span>&nbsp;</span></div>');
			processing.appendTo('body')
			
			setTimeout(function() { processing.remove() }, 1000)	
		})
        
        $(':input').attr('autocomplete', 'off')
		
	})
	
	
}(jQuery))


